org.apache.ignite.internal.processors.cache.persistence.wal

## Class WalSegmentTailReachedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.ignite.IgniteCheckedException
      - - org.apache.ignite.internal.processors.cache.persistence.wal.WalSegmentTailReachedException

All Implemented Interfaces:
  Serializable

    public class WalSegmentTailReachedException
    extends IgniteCheckedException

An exception is thrown when we reached tail of WAL segment cyclic buffer during reading from WAL.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`WalSegmentTailReachedException(String msg, Throwable cause)`

### Method Summary

### Methods inherited from class org.apache.ignite.IgniteCheckedException

`getCause, hasCause, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### WalSegmentTailReachedException

    public WalSegmentTailReachedException(String msg,
                                          @Nullable
                                          Throwable cause)

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.4.0
Release Date | : March 5 2018